[git] CMU Common Lisp branch master updated. snapshot-2013-03-a-10-gc647866
Raymond Toy
rtoy at alpha-cl-net.common-lisp.net
Sat Apr 13 22:01:16 UTC 2013
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "CMU Common Lisp".
The branch, master has been updated
via c647866d61b29968c39d1722ad61d02061acfe7a (commit)
via 82fac7da35ba098a3f294a946e39714b58740b69 (commit)
from 25047afd964691f70669318e97164c4d81ecb3a7 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit c647866d61b29968c39d1722ad61d02061acfe7a
Author: Raymond Toy <toy.raymond at gmail.com>
Date: Sat Apr 13 14:57:27 2013 -0700
Update from logs.
diff --git a/src/general-info/release-20e.txt b/src/general-info/release-20e.txt
index 9ebd374..06f5173 100644
--- a/src/general-info/release-20e.txt
+++ b/src/general-info/release-20e.txt
@@ -56,6 +56,9 @@ New in this release:
other than latin1 has been fixed. See ticket #74.
* Fix startup crashes on some Debian Linux versions. This was
caused by the release string not having a patch version.
+ * FILE-POSITION no longer returns incorrect values. See ticket
+ #79.
+
* Trac Tickets:
* Ticket #52 reopened.
@@ -86,6 +89,9 @@ New in this release:
* In make-dist.sh, the version is now optional. If not given, a
version is derived from the git hash returned by "git
describe".
+ * build.sh -u used to disable building of asdf and friends. This
+ is incorrect. Asdf is always built now (during the last stage).
+
This release is not binary compatible with code compiled using CMUCL
20d; you will need to recompile FASL files.
commit 82fac7da35ba098a3f294a946e39714b58740b69
Author: Raymond Toy <toy.raymond at gmail.com>
Date: Sat Apr 13 14:54:15 2013 -0700
Update -u option so that asdf is always built.
bin/build-utils.sh::
* asdf is not part of build-utils.sh
bin/build.sh::
* Build asdf as part of the normal build because it's always part of
the main tarball, not the extras tarball.
diff --git a/bin/build-utils.sh b/bin/build-utils.sh
index 7f5862e..e59fd19 100755
--- a/bin/build-utils.sh
+++ b/bin/build-utils.sh
@@ -15,18 +15,6 @@ fi
TARGET="`echo $1 | sed 's:/*$::'`"
shift
-# Compile up the asdf and defsystem modules
-$TARGET/lisp/lisp -noinit -nositeinit -batch "$@" << EOF || exit 3
-(in-package :cl-user)
-(setf (ext:search-list "target:")
- '("$TARGET/" "src/"))
-(setf (ext:search-list "modules:")
- '("target:contrib/"))
-
-(compile-file "modules:asdf/asdf")
-(compile-file "modules:defsystem/defsystem")
-EOF
-
$TARGET/lisp/lisp \
-noinit -nositeinit -batch "$@" <<EOF || exit 3
(in-package :cl-user)
diff --git a/bin/build.sh b/bin/build.sh
index f451ac1..99d0a43 100755
--- a/bin/build.sh
+++ b/bin/build.sh
@@ -251,6 +251,19 @@ if [ "$SKIPUTILS" = "no" ];
then
OLDLISP="${BASE}-4/lisp/lisp $OLDLISPFLAGS $FPU_MODE"
time $TOOLDIR/build-utils.sh $TARGET $FPU_MODE
+else
+# But asdf and friends are part of the base install, so we need to build them.
+ $TARGET/lisp/lisp -noinit -nositeinit -batch "$@" << EOF || exit 3
+ (in-package :cl-user)
+ (setf (ext:search-list "target:")
+ '("$TARGET/" "src/"))
+ (setf (ext:search-list "modules:")
+ '("target:contrib/"))
+
+ (compile-file "modules:asdf/asdf")
+ (compile-file "modules:defsystem/defsystem")
+EOF
+
fi
build_finished=`date`
-----------------------------------------------------------------------
Summary of changes:
bin/build-utils.sh | 12 ------------
bin/build.sh | 13 +++++++++++++
src/general-info/release-20e.txt | 6 ++++++
3 files changed, 19 insertions(+), 12 deletions(-)
hooks/post-receive
--
CMU Common Lisp
More information about the cmucl-cvs
mailing list